import { Component, EventEmitter, OnInit, Output } from '@angular/core';
import { Assignment } from '../assignment.model';

@Component({
  selector: 'app-add-assignment',
  templateUrl: './add-assignment.component.html',
  styleUrls: ['./add-assignment.component.css'],
})
export class AddAssignmentComponent implements OnInit {
  @Output() nouvelAssignment = new EventEmitter<Assignment>();

  // pour le formulaire
  nomDevoir = '';
  dateDeRendu: Date = null;

  constructor() {}

  ngOnInit(): void {}

  onSubmit() {
    console.log(
      'Dans submit nom = ' + this.nomDevoir + ' date = ' + this.dateDeRendu
    );
    let newAssignment = new Assignment();
    newAssignment.nom = this.nomDevoir;
    newAssignment.dateDeRendu = this.dateDeRendu;
    newAssignment.rendu = false;

    // on le rajoute au tableau des assignments
    //this.assignments.push(newAssignment);


    // on va devoir indiquer au "père" qu'on veut qu'il ajoute le newAssignment
    // et comment va-t-on le lui passer ?
    this.nouvelAssignment.emit(newAssignment);
  }
}
